Last modified: 2013-07-30 00:10:54 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28829 - Failure to subscribe to mediawiki-announce is not reported to the user
Failure to subscribe to mediawiki-announce is not reported to the user
Status: REOPENED
Product: MediaWiki
Classification: Unclassified
Installer (Other open bugs)
1.22.0
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-05 08:24 UTC by Tim Starling
Modified: 2013-07-30 00:10 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Tim Starling 2011-05-05 08:24:47 UTC
WebInstaller_Install does not check for warnings from the installation steps, so failure of the mediawiki-announce subscription and the mt_rand() security warning are not reported to the user. 

Also, the use of Http::post() instead of MWHttpRequest::factory()->execute() means that the status object generated by the Http module is thrown away. So very little information could be reported to the user even if warnings were checked for.

The subscription step failed for me once and then worked the next three times. I don't know why.
Comment 1 Mark A. Hershberger 2011-05-26 23:13:42 UTC
r88946

The mt_rand warnings were there, but maybe they weren't showing.  I changed the code to use MWHttpRequest and verified that errors showed.
Comment 2 Tim Starling 2011-06-08 05:14:48 UTC
It seems I was using a test URL to induce failure that was returning an HTTP status code of 200, namely:

https://lists.wikimedia.org/mailman/subscribe/nonexistent

r88946 doesn't change anything. The error message from MWHttpRequest is still thrown away, since config-install-subscribe-fail hasn't been updated to include $1. A warning box is shown for a 404 error with the revision reverted.

It would be nice if the response body was checked against a regex to ensure that subscription did actually occur. Then server-side errors in Mailman would be reported to the user. Reopening, lowering priority and removing 1.17 blocker.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links